part of passwordlezz;

class Passwordlezz {
  static isMobileScreen(BuildContext context) =>
      isMobile(context, MediaQuery.of(context).size.width);

  static isMobile(BuildContext context, double width) {
    if (width < 500) return true;
    if (width == double.infinity) return isMobileScreen(context);
    return false;
  }

  static const int requestTimeInSeconds = 30;

  static Future<AuthResult> authenticate(BuildContext context, String appId) {
    Completer<AuthResult> completer = Completer();
    authenticateWithCallback(
        context, (result) => completer.complete(result), appId);
    return completer.future;
  }

  static void authenticateWithCallback(
      BuildContext context, AuthResultCallback callback, String appId) {
    showModalBottomSheet(
      context: context,
      builder: (ctx) => PasswordLezzAuthenticator(
        callback: callback,
        appId: appId,
      ),
      backgroundColor: Colors.transparent,
      isScrollControlled: true,
      isDismissible: true,
    );
  }
}
